Page MenuHomePhabricator

wbsgetsuggestions RevisionedUnresolvedRedirectException logspam
Closed, ResolvedPublic

Description

Identified in T228293#6108183

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-deploy-2020.05.04/mediawiki/?id=AXHfpSTxTj5268w_X9Tf

This API module should probaly not result in an exception bubbling all the way up to the user and should return an nice API result (similar to other APIS)

{
    "error": {
        "code": "unresolved-redirect",
        "info": "The given entity ID refers to a redirect, which is not supported in this context.",
        "messages": [
            {
                "name": "wikibase-api-unresolved-redirect",
                "parameters": [],
                "html": {
                    "*": "The given entity ID refers to a redirect, which is not supported in this context."
                }
            }
        ],
        "*": "See https://test.wikidata.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."
    },
    "servedby": "mw1344"
}

Event Timeline

Addshore created this task.May 5 2020, 12:36 PM
Addshore updated the task description. (Show Details)
Addshore triaged this task as Medium priority.May 5 2020, 12:39 PM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.May 5 2020, 1:15 PM

Change 601803 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/PropertySuggester@master] RevisionedUnresolvedRedirectException logspam

https://gerrit.wikimedia.org/r/601803

Change 601803 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] RevisionedUnresolvedRedirectException logspam

https://gerrit.wikimedia.org/r/601803

Michael closed this task as Resolved.Jun 16 2020, 10:15 AM
Michael added a subscriber: Michael.

Last event for this in logstash was on 2020-06-09T16:33:53, see: https://logstash.wikimedia.org/goto/bd3a4501ed5150fb8d132c64919f2ff5

I consider it fixed ✅